"""TLCS Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class TLCSResponse(BaseModel):
    """TLCS (Tratados de Libre Comercio) response model"""

    FRACCION: Optional[str] = Field(None, max_length=8)
    PAIS: Optional[str] = Field(None, max_length=3)
    TASATXT: Optional[str] = Field(None, max_length=19)
    TASANUM: Optional[str] = None
    TASACALCULADA: Optional[str] = Field(None, max_length=19)
    TLC: Optional[str] = Field(None, max_length=6)
    NOTA: Optional[str] = None
    DOF: Optional[str] = Field(None, max_length=8)
    OBSERVACION: Optional[str] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
